tzset
Prev | Cygwin Utilities | Next

## Name

tzset — Print POSIX-compatible timezone ID from current Windows timezone setting

## Synopsis

`tzset` [ -h | -V ]

## Options

    Options:
      -h, --help               output usage information and exit.
      -V, --version            output version information and exit.

## Description

Use tzset to set your TZ variable. In POSIX-compatible shells like bash, dash, mksh, or zsh:

    export TZ=$(tzset)

In csh-compatible shells like tcsh:

    setenv TZ `tzset`

The tzset tool reads the current timezone from Windows and generates a POSIX-compatible timezone information for the TZ environment variable from that information. That's all there is to it. For the way how to use it, see the above usage information.

Prev | Up | Next
strace | Home | umount